
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace MultiLayout.MainEdit
{
    /// <summary>
    /// Window_MainSet.xaml 的交互逻辑
    /// </summary>
    public partial class WdMainConfig : FLY.ControlLibrary.WindowBigClose
    {
        FlyLayoutManager manager;
        public WdMainConfig()
        {
            InitializeComponent();
            
        }
        public void Init(FlyLayoutManager manager)
        {
            this.manager = manager;
            this.DataContext = this.manager.layout;

        }

        private void button_save_Click(object sender, RoutedEventArgs e)
        {
            manager.layout.Save();
            FLY.ControlLibrary.MyMessageBox.Show("保存参数成功!");
        }

        private void button_marksize_Click(object sender, RoutedEventArgs e)
        {
            var layout = manager.layout ;
            layout.Rect = new System.Drawing.Rectangle(
                (int)Application.Current.MainWindow.Left,
                (int)Application.Current.MainWindow.Top,
                (int)Application.Current.MainWindow.Width,
                (int)Application.Current.MainWindow.Height);

            layout.WindowState = Application.Current.MainWindow.WindowState;
        }
    }


}
